import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
import { DeviceAdapter } from 'qcloud-iotexplorer-bluetooth-adapter';
import { LLSyncProtocol } from './LLSyncProtocol';
import * as utils from './utils';
export interface Reporter {
    info(actionName: string, reportInfo?: any): any;
    error(eventName: string, reportInfo?: any): any;
}
interface Wait4EventResponseOptions {
    timeout?: number;
    timeoutCode?: string;
    timeoutHandler?: () => any;
    wrapSplitDataMode?: utils.TlvDataType;
    shouldWrapSplitDataFn?: boolean;
    afterBindEvent?: () => any;
}
interface WriteAndWait4ResponseOptions extends Wait4EventResponseOptions {
    writeId?: string;
}
export declare const LLSyncConfig: {
    BLE_PSK_DEVICE_KEY: string;
    waitConnectReplyTime: number;
    waitBindReplyTime: number;
    waitGetCheckTimeoutReplyTime: number;
    waitGetCheckTimeoutDefaultReplyTime: number;
    waitControlReplyTime: number;
    waitGetDeviceInfoTime: number;
    waitUpdateReplyInt: number;
    mtuDefaultMap: {
        0: any;
        1: number;
        2: number;
    };
};
export declare class LLSync extends AppDevSdk.utils.EventEmitter {
    static serviceId16: string;
    static serviceId: string;
    deviceAdapter: DeviceAdapter;
    protocol: LLSyncProtocol;
    authorized: boolean;
    bleVersion: any;
    localPsk: string;
    mtu: number;
    reporter: Reporter;
    get _normalizeError(): (error: any) => any;
    constructor(deviceAdapter: any);
    notifyMessage({ type, data }?: any): Promise<any>;
    stopListenLLEvents(): void;
    wait4EventResponse<T>(eventName: string, handler: (data: any) => T, { timeout, timeoutCode, timeoutHandler, wrapSplitDataMode, shouldWrapSplitDataFn, afterBindEvent, }?: Wait4EventResponseOptions): Promise<T>;
    writeAndWait4Response<T>(data2Write: any, eventName: string, handler: (data: any) => T, { timeout, timeoutCode, timeoutHandler, writeId, wrapSplitDataMode, shouldWrapSplitDataFn, }?: WriteAndWait4ResponseOptions): Promise<T>;
    sliceData(data: any, tmpData: any, mode: any): string[];
    handleBLEMessage(hex: any): {
        type: any;
        data: any;
    };
    writeData(data: any, opts?: {
        writeId?: string;
        waitGap?: number;
    }): Promise<any>;
    setMtu(mtu: any): Promise<any>;
}
export {};
