import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
import { DeviceFilterFunction } from 'qcloud-iotexplorer-bluetooth-adapter';
import { StandardBleComboDeviceAdapter } from '../StandardBleComboDeviceAdapter';
import { LLSync, Reporter } from './LLSync';
import { LLSyncProtocol } from './LLSyncProtocol';
export declare const LLSyncComboConfig: {
    waitGetDeviceInfoTime: number;
    waitSetWiFiModeTime: number;
    waitSetWiFiInfoTime: number;
    waitSetWiFiConnectTime: number;
    waitSetWiFiTokenTime: number;
    waitDevLogInfoTime: number;
};
export declare class LLSyncCombo extends AppDevSdk.utils.EventEmitter {
    static serviceId16: string;
    static serviceId: string;
    static deviceFilter: DeviceFilterFunction;
    llSyncCore: LLSync;
    protocol: LLSyncProtocol;
    deviceAdapter: StandardBleComboDeviceAdapter;
    bleVersion: any;
    reporter: Reporter;
    constructor(llSyncCore: any);
    notifyMessage({ type, data }?: any): Promise<any>;
    afterConnectDevice(params: any): Promise<string>;
    getDeviceInfo(): Promise<{
        version: number;
        mtu: number;
        needSetMtu: boolean;
        deviceName: string;
    }>;
    /**
     * @description WiFi模式设置
     * @returns boolean 表示设置WiFi模式成功或者失败
     */
    setWiFiMode(mode?: string): Promise<boolean>;
    /**
     *
     * @param params0 {Object} 配网的WiFi信息
     * @param parmas0.ssid {String} WiFi的ssid
     * @param params0.password {String} WiFi的密码
     * @returns {boolean} 传输WiFi结果
     */
    setWiFiInfo({ ssid, password, }: {
        ssid: string;
        password: string;
    }): Promise<boolean>;
    /**
     * @description 下发WiFi连接请求，并获取连接状态
     * @returns {boolean} WiFi连接状态
     */
    sendConnectWiFiAndGetWiFiConnectState(): Promise<{
        connected: boolean;
        ssid: string;
    }>;
    sendToken({ token, }: {
        token: string;
    }): Promise<boolean>;
    getModuleLog(): Promise<{
        logStr: string;
    }>;
}
