import * as constants from '../constants';
declare type stringArray = string[];
export declare const getTypeFromHead: (head: any) => number;
export declare const getTypeIndexFromHead: (head: any) => number;
export declare const getTypeHead: (head: any, suffix: any) => string;
export declare const genHead: (type: any, id: any) => string;
export declare const stringToTlv: (value: any) => string[];
/**
 *
 * @param {String} tlvHex tlv的十六进制字符串
 * @param {Object} templateData 物模型数据，给解析tlv数据的时候提供参考
 * @param {String} mode properties|events|actions
 */
export declare const tlvHex: string[];
export declare const convertPropertiesTlvToJsObject: (tlvHex: any, templateData: any) => {};
export declare const convertActionControlToTlv: (action: {
    actionId: string;
    clientToken: string;
    method: 'action';
    params: any;
    timestamp: number;
}, templateData: any) => {
    actionIndex: any;
    tlvData: string[];
    tmpData: string[][];
};
export declare const convertPropertiesChangeToTlv: (jsObj: any, templateData: any) => {
    tlvData: string[];
    tmpData: string[][];
};
export declare const eventTlvData: string[];
export declare const convertEventTlvToJsObject: (tlvHex: any, templateData: any) => {
    eventId: any;
    eventIndex: number;
    params: {};
};
export declare const convertActionOutputTlvToJsObject: (tlvHex: any, templateData: any) => {
    actionId: any;
    actionIndex: number;
    outputParams: {};
};
export declare const TlvDataTypeIndexMap: {
    PROPERTY_REPORT: number;
    EVENT_REPORT: number;
    ACTION_REPLY: number;
    default: number;
};
export declare type TlvDataType = keyof typeof TlvDataTypeIndexMap;
/**
 * @description 处理分片的数据，把它拼起来
 * @returns {null/Array} null表示尚未完成
 */
export declare const getTlvDataParser: (type?: TlvDataType) => Function;
/**
 * @description 对数据进行分片处理
 * @returns {Array} 分片后的数据
 */
export declare const sliceData: (data: stringArray[], { head, mtu, mode, }: {
    head: string[];
    mtu: number;
    mode: string;
}) => string[];
export {};
